/*
 * SampleHttpProcessor.java
 *
 * Creado el 17 de diciembre de 2007, 11:26
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mhpsc.minhttpd;

import java.io.PrintStream;

/**
 *
 * @author avelino
 */
public class SampleHttpProcessor implements HttpProcessor {
    
    public SampleHttpProcessor() {
    }

    public void processHttpRequest(HttpRequest request, HttpResponse response) {
        response.addCookiePair("SID", "12345678");
        response.addCookiePair("nombre", "avelino");
        response.header.put("Content-Type", "text/html");
        PrintStream ps = new PrintStream(response.outputStream);
        ps.println("<html><body><center><h2>SampleHttpProcessor response</h2></center></body></html>");
    }
    
}
